Subject: bug#32536: displayed width of man pages

From: Juri Linkov <[email-masked]>
Date: Tue, 04 Sep 2018 01:23:16 +0300

>> 1. In Man-mode we have to add hook window-size-change-functions only
>>     buffer-locally (using the arg LOCAL of add-hook) rather than globally,
>>     because otherwise we can't remove this hook when a Man buffer is
>>     not displayed anymore.
>
> I can't follow you here.  Shouldn't we remove the hook _when_ a Man
> buffer is not displayed anymore.  That is, when
> 'Man-window-size-change' detects that no Man buffer is displayed
> anymore, remove it from 'window-size-change-functions' and re-add it
> as soon as a Man buffer gets displayed again.

How to know the moment when a Man buffer gets displayed again?
Is there a corresponding hook for this event?